/*

=========================================================
* Volt - Free Bootstrap 5 Dashboard
=========================================================

* Product Page: https://themesberg.com/product/admin-dashboard/volt-premium-bootstrap-5-dashboard
* Copyright 2020 Themesberg (https://www.themesberg.com)

* Designed and coded by https://themesberg.com

=========================================================

* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. Please contact us to request a removal. Contact us if you want to remove it.

*/

@import url('https://fonts.googleapis.com/css?family=Nunito+Sans:300,400,600,700&display=swap');

// update variables here
@import "custom/variables";

@import "../../node_modules/bootstrap/scss/functions";
@import "volt/variables";

// Third party
@import '../../node_modules/vanillajs-datepicker/sass/datepicker.scss';
@import "../../node_modules/chartist/dist/scss/chartist.scss";

// Bootstrap
@import "../../node_modules/bootstrap/scss/variables";
@import "../../node_modules/bootstrap/scss/mixins";
@import "../../node_modules/bootstrap/scss/utilities";

// Bootstrap Layout & components
@import "../../node_modules/bootstrap/scss/root";
@import "../../node_modules/bootstrap/scss/reboot";
@import "../../node_modules/bootstrap/scss/type";
@import "../../node_modules/bootstrap/scss/images";
@import "../../node_modules/bootstrap/scss/containers";
@import "../../node_modules/bootstrap/scss/grid";
@import "../../node_modules/bootstrap/scss/tables";
@import "../../node_modules/bootstrap/scss/forms";
@import "../../node_modules/bootstrap/scss/buttons";
@import "../../node_modules/bootstrap/scss/transitions";
@import "../../node_modules/bootstrap/scss/dropdown";
@import "../../node_modules/bootstrap/scss/button-group";
@import "../../node_modules/bootstrap/scss/nav";
@import "../../node_modules/bootstrap/scss/navbar";
@import "../../node_modules/bootstrap/scss/card";
@import "../../node_modules/bootstrap/scss/accordion";
@import "../../node_modules/bootstrap/scss/breadcrumb";
@import "../../node_modules/bootstrap/scss/pagination";
@import "../../node_modules/bootstrap/scss/badge";
@import "../../node_modules/bootstrap/scss/alert";
@import "../../node_modules/bootstrap/scss/progress";
@import "../../node_modules/bootstrap/scss/list-group";
@import "../../node_modules/bootstrap/scss/close";
@import "../../node_modules/bootstrap/scss/toasts";
@import "../../node_modules/bootstrap/scss/modal";
@import "../../node_modules/bootstrap/scss/tooltip";
@import "../../node_modules/bootstrap/scss/popover";
@import "../../node_modules/bootstrap/scss/carousel";
@import "../../node_modules/bootstrap/scss/spinners";

// Helpers
@import "../../node_modules/bootstrap/scss/helpers";

// Utilities
@import "../../node_modules/bootstrap/scss/utilities/api";
// scss-docs-end import-stack

// volt mixins & functions
@import "volt/mixins";
@import "volt/functions";

// Utilities
@import "volt/utilities";

// Layout
@import "volt/layout";

// Components
@import "volt/components";

// write your custom styles here!
//tables


.table.dataTable > thead .sorting::before,
.table.dataTable > thead .sorting_asc::before,
.table.dataTable > thead .sorting_asc_disabled::before,
.table.dataTable > thead .sorting_desc::before,
.table.dataTable > thead .sorting_desc_disabled::before,
table.dataTable > thead .sorting::before,
table.dataTable > thead .sorting_asc::before,
table.dataTable > thead .sorting_asc_disabled::before,
table.dataTable > thead .sorting_desc::before,
table.dataTable > thead .sorting_desc_disabled::before {
  right: 1em;
  left: auto;
}
.table.dataTable > thead .sorting::after,
.table.dataTable > thead .sorting_asc::after,
.table.dataTable > thead .sorting_asc_disabled::after,
.table.dataTable > thead .sorting_desc::after,
.table.dataTable > thead .sorting_desc_disabled::after,
table.dataTable > thead .sorting::after,
table.dataTable > thead .sorting_asc::after,
table.dataTable > thead .sorting_asc_disabled::after,
table.dataTable > thead .sorting_desc::after,
table.dataTable > thead .sorting_desc_disabled::after {
  right: 0.5em;
  left: auto;
}
.rwd-table .btn-toolbar {
  display: block;
}

.rwd-table .table-responsive {
  border: none !important;
}
.rwd-table .btn-group .btn-default {
  background-color: $light;
  border: 1px solid $light;
}
.rwd-table .btn-group .btn-default.btn-primary {
  background-color: $primary;
  border-color: $primary;
  color: #fff;
  -webkit-box-shadow: 0 0 0 2px rgba(81, 86, 190, 0.5);
  box-shadow: 0 0 0 2px rgba(81, 86, 190, 0.5);
}
.rwd-table .btn-group.pull-right {
  float: right;
}
.rwd-table .btn-group.pull-right .dropdown-menu {
  right: 0;
  -webkit-transform: none !important;
  transform: none !important;
  top: 100% !important;
}
.rwd-table tbody th {
  font-size: 14px;
  font-weight: 400;
}
.rwd-table .checkbox-row {
  padding-left: 40px;
  color: #495057 !important;
}
.rwd-table .checkbox-row:hover {
  background-color: #efeff3 !important;
}
.rwd-table .checkbox-row label {
  display: inline-block;
  padding-left: 5px;
  position: relative;
}
.rwd-table .checkbox-row label::before {
  -o-transition: 0.3s ease-in-out;
  -webkit-transition: 0.3s ease-in-out;
  background-color: #fff;
  border-radius: 3px;
  border: 1px solid #f6f6f6;
  content: '';
  display: inline-block;
  height: 17px;
  left: 0;
  margin-left: -20px;
  position: absolute;
  transition: 0.3s ease-in-out;
  width: 17px;
  outline: 0 !important;
}
.rwd-table .checkbox-row label::after {
  color: #e9e9ef;
  display: inline-block;
  font-size: 11px;
  height: 16px;
  left: 0;
  margin-left: -20px;
  padding-left: 3px;
  padding-top: 1px;
  position: absolute;
  top: -1px;
  width: 16px;
}
.rwd-table .checkbox-row input[type='checkbox'] {
  cursor: pointer;
  opacity: 0;
  z-index: 1;
  outline: 0 !important;
}
.rwd-table .checkbox-row input[type='checkbox']:disabled + label {
  opacity: 0.65;
}
.rwd-table .checkbox-row input[type='checkbox']:focus + label::before {
  outline-offset: -2px;
  outline: 0;
}
.rwd-table .checkbox-row input[type='checkbox']:checked + label::after {
  content: '\f00c';
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
}
.rwd-table
  .checkbox-row
  input[type='checkbox']:disabled
  + label::before {
  background-color: #f8f9fa;
  cursor: not-allowed;
}
.rwd-table .checkbox-row input[type='checkbox']:checked + label::before {
  background-color: $primary;
  border-color: $primary;
}
.rwd-table .checkbox-row input[type='checkbox']:checked + label::after {
  color: #fff;
}
.rwd-table .fixed-solution .sticky-table-header {
  top: 0px !important;
  background-color: $primary;
  a {
    color: $secondary;
  }
}
.rwd-table .fixed-solution .sticky-table-header table {
  color: #fff;
}
.rwd-table .sticky-table-header,
.rwd-table table.focus-on tbody tr.focused td,
.rwd-table table.focus-on tbody tr.focused th {
  background: $primary;
  border-color: $primary;
  color: #fff;
}
.rwd-table .sticky-table-header table,
.rwd-table table.focus-on tbody tr.focused td table,
.rwd-table table.focus-on tbody tr.focused th table {
  color: #fff;
}
